<div class="mb-3">
  <div *ngIf="block.props.imageAboveText && image" class="mb-2">
    <img [src]="image" [width]="block.props.imageWidth ? block.props.imageWidth : 100" />
  </div>
  <h3
    *ngIf="name"
    markdown
    [content]="name"
    [context]="context"
    [enumerator]="enumerator"
    [required]="block.required"
  ></h3>
  <p *ngIf="description" class="text-secondary" markdown [content]="description" [context]="context"></p>
  <div *ngIf="!block.props.imageAboveText && image" class="mb-2">
    <img [src]="image" [width]="block.props.imageWidth ? block.props.imageWidth : 100" />
  </div>
  <button *ngFor="let button of buttons" type="button" class="btn btn-link btn-lg px-1 py-0" (click)="button.select()">
    <i [ngClass]="button.className"></i>
  </button>
  <div
    *ngIf="explanation"
    class="form-text"
    [id]="block.key('explanation')"
    markdown
    [content]="explanation"
    [context]="context"
  ></div>
</div>
